org.kie.internal.agent.conf

## Enum ScanDirectoriesOption

- java.lang.Object
- - java.lang.Enum<ScanDirectoriesOption>
  - - org.kie.internal.agent.conf.ScanDirectoriesOption

- All Implemented Interfaces:
    Serializable, Comparable<ScanDirectoriesOption>

      public enum ScanDirectoriesOption
      extends Enum<ScanDirectoriesOption>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO`
    `YES`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME` The property name for monitoring directories

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPropertyName()`
    `boolean` | `isScanDirectories()`
    `static ScanDirectoriesOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ScanDirectoriesOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YES

          public static final ScanDirectoriesOption YES

    - #### NO

          public static final ScanDirectoriesOption NO

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for monitoring directories
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static ScanDirectoriesOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScanDirectoriesOption c : ScanDirectoriesOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScanDirectoriesOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

    - #### isScanDirectories

          public boolean isScanDirectories()

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.